import { Story, Canvas, Meta, Description } from "@storybook/addon-docs/blocks";
import { html } from "lit-html";
import CATEGORIES from "../categories";

<Meta title={CATEGORIES.STATIC + "Colors"} />

# Colors

All standard CI colors are displayed here.

Note: When transferring a module from patternlab v1 to Storybook these colors may be used if the differences are just barely visible.

<Canvas>
    <Story name="Colors">
        {html`
            <div>
                <div class="demo-colors">
                    <div class="demo-colors__color demo-colors__color--blue-1">
                        $color-blue-1: #285172;
                    </div>
                    <div class="demo-colors__color demo-colors__color--blue-2">
                        $color-blue-2: #4F708B;
                    </div>
                    <div class="demo-colors__color demo-colors__color--blue-3">
                        $color-blue-3: #899FB2;
                    </div>
                    <div class="demo-colors__color demo-colors__color--blue-4">
                        $color-blue-4: #C6D4DD;
                    </div>
                    <div class="demo-colors__color demo-colors__color--blue-5">
                        $color-blue-5: #C3CFD6;
                    </div>
                    <div class="demo-colors__color demo-colors__color--blue-6">
                        $color-blue-6: #EFF0F4;
                    </div>
                </div>
                <div class="demo-colors">
                    <div class="demo-colors__color demo-colors__color--green-1">
                        $color-green-1: #B3D11E;
                    </div>
                    <div class="demo-colors__color demo-colors__color--green-2">
                        $color-green-2: #BCD15B;
                    </div>
                    <div class="demo-colors__color demo-colors__color--green-3">
                        $color-green-3: #D6E58F;
                    </div>
                    <div class="demo-colors__color demo-colors__color--green-4">
                        $color-green-4: #ECF3CD;
                    </div>
                    <div class="demo-colors__color demo-colors__color--green-5">
                        $color-green-5: #F7FAE9;
                    </div>
                </div>
                <div class="demo-colors">
                    <div class="demo-colors__color demo-colors__color--black-1">
                        $color-black-1: #0B0B0B;
                    </div>
                    <div class="demo-colors__color demo-colors__color--black-2">
                        $color-black-2: #4B4B4B;
                    </div>
                    <div class="demo-colors__color demo-colors__color--black-3">
                        $color-black-3: #A3A3A3;
                    </div>
                    <div class="demo-colors__color demo-colors__color--black-4">
                        $color-black-4: #C5C5C5;
                    </div>
                    <div class="demo-colors__color demo-colors__color--black-5">
                        $color-black-5: #E3E3E3;
                    </div>
                </div>
                <div class="demo-colors">
                    <div class="demo-colors__color demo-colors__color--red">
                        $color-red: #FF0201;
                    </div>
                </div>
                <div class="demo-colors">
                    <div class="demo-colors__color demo-colors__color--orange">
                        $color-orange: #FF9302;
                    </div>
                </div>
            </div>
        `}
    </Story>
</Canvas>
